summaryrefslogtreecommitdiff
path: root/eclass/toolchain-glibc.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain-glibc.eclass')
-rw-r--r--eclass/toolchain-glibc.eclass8
1 files changed, 5 insertions, 3 deletions
diff --git a/eclass/toolchain-glibc.eclass b/eclass/toolchain-glibc.eclass
index ffe7b9e1fd1c..e41cc7114398 100644
--- a/eclass/toolchain-glibc.eclass
+++ b/eclass/toolchain-glibc.eclass
@@ -12,8 +12,10 @@
if [[ -z ${_TOOLCHAIN_GLIBC_ECLASS} ]]; then
+TMPFILES_OPTIONAL=1
+
inherit eutils versionator toolchain-funcs flag-o-matic gnuconfig \
- multilib systemd unpacker multiprocessing prefix
+ multilib systemd tmpfiles unpacker multiprocessing prefix
case ${EAPI:-0} in
0|1|2|3) EXPORT_FUNCTIONS pkg_setup src_unpack src_compile src_test \
@@ -1348,10 +1350,10 @@ toolchain-glibc_do_src_install() {
# TODO: Drop the $FILESDIR copy once 2.19 goes stable.
if version_is_at_least 2.19 ; then
systemd_dounit nscd/nscd.service || die
- systemd_newtmpfilesd nscd/nscd.tmpfiles nscd.conf || die
+ newtmpfiles nscd/nscd.tmpfiles nscd.conf || die
else
systemd_dounit "${FILESDIR}"/nscd.service || die
- systemd_newtmpfilesd "${FILESDIR}"/nscd.tmpfilesd nscd.conf || die
+ newtmpfiles "${FILESDIR}"/nscd.tmpfilesd nscd.conf || die
fi
else
# Do this since extra/etc/*.conf above might have nscd.conf.